<?php
class Db {
    private $serverName = '172.26.0.77'; // Nombre del servidor
    private $database = 'bd_lecturas'; // Nombre de la base de datos
    private $uid = 'usr_mnl'; // Usuario
    private $pwd = 'mone23leg'; // Contraseña
    protected $conn;

    public function __construct() {
        try {
            $this->conn = new PDO("sqlsrv:Server=$this->serverName;Database=$this->database", $this->uid, $this->pwd);
            $this->conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (PDOException $e) {
            die("Error en la conexión: " . $e->getMessage());
        }
    }

    // Método para cerrar la conexión (opcional)
    public function closeConnection() {
        $this->conn = null;
    }
}
?>
